<?php
  ///////////////////////////////////////////////////
  //2011 (C)
  //Карпухин Павел
  ///////////////////////////////////////////////////
  require_once "../utils/chlang.php";

  $title=$titlepage = $TEXT['book-title-film'];

  require_once "../lang/".$lang."/trans.php";
  require_once "../config_a.php";
  require_once "../utils/functions.php";
  require_once "../utils/top_adm_film.php";
  require_once "../utils/photo_functions.php";

  if($result2['administrator'] == 0) {puterror($result2['skin'],$TEXT['error-loginform2']); require_once "../utils/bottom_adm_film.php"; exit();}
  if(empty($_GET['book_id'])) {puterror($result2['skin'],$TEXT['error-book5']); require_once "../utils/bottom_adm_film.php"; exit();}
  if(strlen($_GET['book_id'])>12) {puterror($result2['skin'],$TEXT['error-book6']); require_once "../utils/bottom_adm_film.php"; exit();}
  if(strlen($_GET['cicle_id'])>5) {puterror($result2['skin'],$TEXT['error-id-long']); require_once "../utils/bottom_adm_film.php"; exit();}
  
  $_GET['book_id'] = rep($_GET['book_id']);
  $_GET['cicle_id'] = rep($_GET['cicle_id']);

  $query_body1 = "SELECT `book_name` FROM `tbl_book` WHERE `book_id` = ".$_GET['book_id']."";
  $result_body1 = mysqli_query($dbcnx,$query_body1);
   if(!$result_body1) {puterror($result2['skin'],$TEXT['error-tbl3']); require_once "../utils/bottom_adm_film.php"; exit();}
     $result_body_autor1 = mysqli_fetch_array($result_body1);

  $query_body2 = "SELECT `cicle` FROM `tbl_cicle` WHERE `cicle_id` = ".$_GET['cicle_id']."";
  $result_body2 = mysqli_query($dbcnx,$query_body2);
   if(!$result_body2) {puterror($result2['skin'],$TEXT['error-tbl5']); require_once "../utils/bottom_adm_film.php"; exit();}
    $result_body_cicle1 = mysqli_fetch_array($result_body2);

  //*************************************
  //Информация для лога
  $ip = $_SERVER['REMOTE_ADDR'];
  $doing = $TEXT['log-cicle3'];
  $what = $TEXT['log-cicle4']."&laquo;".$result_body_cicle1['cicle']."&raquo;".$TEXT['log-cicle5']."&laquo;".$result_body_autor1['book_name']."&raquo;";
  $who = $result2['familiya']." ".$result2['name'];
  //*************************************

  $query = "UPDATE `tbl_book` SET `cicle_id` = ".$_GET['cicle_id']." WHERE `book_id`='".$_GET['book_id']."'";
  if(mysqli_query($dbcnx,$query))
  {
    $query2 = "INSERT INTO tbl_logs ( `log_id`, `data`, `ip`, `who`, `doing`, `what` ) VALUES ( NULL, NOW(), '$ip', '$who', '$doing', '$what')";
        if(mysqli_query($dbcnx,$query2))
           {
           echo "<html><head>
                 <meta HTTP-EQUIV='Refresh' CONTENT='0; URL=book-srch.php?cicle_id=".$_GET['cicle_id']."' />
                 </head></html>";
           }  else {puterror($result2['skin'],$TEXT['error-log']); require_once "../utils/bottom_adm_film.php"; exit();}
  }  else {puterror($result2['skin'],$TEXT['error-tbl3']); require_once "../utils/bottom_adm_film.php"; exit();}
  require_once "../utils/bottom_adm_film.php";
?>